Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NonPersistent()> _
<NavigationItem(False)> _
<CreatableItem(False)> _
Public Class CopyChartOfAccounts_PopUp
    Inherits BaseObject

    Private _ChartOfAccountsYear_From As Long
    Private _ChartOfAccountsYear_To As Long
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub

    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub

    Property ChartOfAccountsYear_From As Long
        Get
            Return _ChartOfAccountsYear_From
        End Get
        Set(value As Long)
            SetPropertyValue("ChartOfAccountsYear_From", _ChartOfAccountsYear_From, value)
        End Set
    End Property
    Property ChartOfAccountsYear_To As Long
        Get
            Return _ChartOfAccountsYear_To
        End Get
        Set(value As Long)
            SetPropertyValue("ChartOfAccountsYear_To", _ChartOfAccountsYear_To, value)
        End Set
    End Property
End Class
